Server-URL: https://api.testbank.com/psd2

 Kurzname | Methode  | Path | Beschreibung
----------|----------|------|-------------
createConsent | POST | /v1/consents | Create consent
deleteConsent | DELETE | /v1/consents/{consentId} | Delete Consent
getAccountList | GET | /v1/accounts | Read Account List
getBalances | GET | /v1/accounts/{account-id}/balances | Read Balance
getConsentInformation | GET | /v1/consents/{consentId} | Get Consent Request
getConsentScaStatus | GET | /v1/consents/{consentId}/authorisations/{authorisationId} | Read the SCA status of the consent authorisation.
getConsentStatus | GET | /v1/consents/{consentId}/status | Consent status request
getTransactionDetails | GET | /v1/accounts/{account-id}/transactions/{resourceId} | Read Transaction Details
getTransactionList | GET | /v1/accounts/{account-id}/transactions/ | Read Transaction List
readAccountDetails | GET | /v1/accounts/{account-id} | Read Account Details
startConsentAuthorisation | POST | /v1/consents/{consentId}/authorisations | Start the authorisation process for a consent
updateConsentsPsuData | PUT | /v1/consents/{consentId}/authorisations/{authorisationId} | Update PSU Data for consents
getConsentScaStatus | GET | /v1/consents/{consentId}/authorisations/{authorisationId} | Read the SCA status of the consent authorisation.
getPaymentCancellationScaStatus | GET | /v1/{payment-service}/{paymentId}/cancellation-authorisations/{cancellationId} | Read the SCA status of the payment cancellation&#39;s authorisation.
getPaymentInitiationAuthorisation | GET | /v1/{payment-service}/{paymentId}/authorisations | Get Payment Initiation Authorisation Sub-Resources Request
getPaymentInitiationAuthorisation_1 | GET | /v1/signing-baskets/{basketId}/authorisations | Get Signing Basket Authorisation Sub-Resources Request
getPaymentInitiationScaStatus | GET | /v1/{payment-service}/{paymentId}/authorisations/{authorisationId} | Read the SCA Status of the payment authorisation
getSigningBasketScaStatus | GET | /v1/signing-baskets/{basketId}/authorisations/{authorisationId} | Read the SCA status of the signing basket authorisation
startConsentAuthorisation | POST | /v1/consents/{consentId}/authorisations | Start the authorisation process for a consent
startPaymentAuthorisation | POST | /v1/{payment-service}/{paymentId}/authorisations | Start the authorisation process for a payment initiation
startPaymentInitiationCancellationAuthorisation | POST | /v1/{payment-service}/{paymentId}/cancellation-authorisations | Start the authorisation process for the cancellation of the addressed payment
startSigningBasketAuthorisation | POST | /v1/signing-baskets/{basketId}/authorisations | Start the authorisation process for a signing basket
updateConsentsPsuData | PUT | /v1/consents/{consentId}/authorisations/{authorisationId} | Update PSU Data for consents
updatePaymentCancellationPsuData | PUT | /v1/{payment-service}/{paymentId}/cancellation-authorisations/{cancellationId} | Update PSU Data for payment initiation cancellation
updatePaymentPsuData | PUT | /v1/{payment-service}/{paymentId}/authorisations/{authorisationId} | Update PSU data for payment initiation
updateSigningBasketPsuData | PUT | /v1/signing-baskets/{basketId}/authorisations/{authorisationId} | Update PSU Data for signing basket
checkAvailabilityOfFunds | POST | /v1/funds-confirmations | Confirmation of Funds Request
cancelPayment | DELETE | /v1/{payment-service}/{paymentId} | Payment Cancellation Request
getPaymentCancellationScaStatus | GET | /v1/{payment-service}/{paymentId}/cancellation-authorisations/{cancellationId} | Read the SCA status of the payment cancellation&#39;s authorisation.
getPaymentInformation | GET | /v1/{payment-service}/{paymentId} | Get Payment Information
getPaymentInitiationAuthorisation | GET | /v1/{payment-service}/{paymentId}/authorisations | Get Payment Initiation Authorisation Sub-Resources Request
getPaymentInitiationAuthorisation_1 | GET | /v1/consents/{consentId}/authorisations | Get Consent Authorisation Sub-Resources Request
getPaymentInitiationCancellationAuthorisationInformation | GET | /v1/{payment-service}/{paymentId}/cancellation-authorisations | Will deliver an array of resource identifications to all generated cancellation authorisation sub-resources.
getPaymentInitiationScaStatus | GET | /v1/{payment-service}/{paymentId}/authorisations/{authorisationId} | Read the SCA Status of the payment authorisation
getPaymentInitiationStatus | GET | /v1/{payment-service}/{paymentId}/status | Payment initiation status request
initiatePayment | POST | /v1/{payment-service}/{payment-product} | Payment initiation request
startPaymentAuthorisation | POST | /v1/{payment-service}/{paymentId}/authorisations | Start the authorisation process for a payment initiation
startPaymentInitiationCancellationAuthorisation | POST | /v1/{payment-service}/{paymentId}/cancellation-authorisations | Start the authorisation process for the cancellation of the addressed payment
updatePaymentCancellationPsuData | PUT | /v1/{payment-service}/{paymentId}/cancellation-authorisations/{cancellationId} | Update PSU Data for payment initiation cancellation
updatePaymentPsuData | PUT | /v1/{payment-service}/{paymentId}/authorisations/{authorisationId} | Update PSU data for payment initiation
createSigningBasket | POST | /v1/signing-baskets | Create a signing basket resource
getPaymentInitiationAuthorisation | GET | /v1/signing-baskets/{basketId}/authorisations | Get Signing Basket Authorisation Sub-Resources Request
getSigningBasket | GET | /v1/signing-baskets/{basketId} | Returns the content of an signing basket object.
getSigningBasketScaStatus | GET | /v1/signing-baskets/{basketId}/authorisations/{authorisationId} | Read the SCA status of the signing basket authorisation
startSigningBasketAuthorisation | POST | /v1/signing-baskets/{basketId}/authorisations | Start the authorisation process for a signing basket
updateSigningBasketPsuData | PUT | /v1/signing-baskets/{basketId}/authorisations/{authorisationId} | Update PSU Data for signing basket


  https://api.testbank.com/psd2

# POST /v1/consents

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | TPP-Redirect-Preferred | Boolean  | false | true
Header
 | TPP-Redirect-URI | String  | false | tPPRedirectURI_example
Header
 | TPP-Nok-Redirect-URI | String  | false | tPPNokRedirectURI_example
Header
 | TPP-Explicit-Authorisation-Preferred | Boolean  | false | true
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558
Body
 | Consents | Consents (Consents) | false | 

# DELETE /v1/consents/{consentId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | consentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/accounts

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Consent-ID | String  | true | 
Query
 | withBalance | Boolean  | false | true
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/accounts/{account-id}/balances

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | account-id | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Consent-ID | String  | true | 
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/consents/{consentId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | consentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/consents/{consentId}/authorisations/{authorisationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | consentId | String  | true | 
Path
 | authorisationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/consents/{consentId}/status

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | consentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/accounts/{account-id}/transactions/{resourceId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | account-id | String  | true | 
Path
 | resourceId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Consent-ID | String  | true | 
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/accounts/{account-id}/transactions/

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | account-id | String  | true | 
Query
 | bookingStatus | String  | true | bookingStatus_example
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Consent-ID | String  | true | 
Query
 | dateFrom | date  | false | 2013-10-20
Query
 | dateTo | date  | false | 2013-10-20
Query
 | entryReferenceFrom | String  | false | entryReferenceFrom_example
Query
 | deltaList | Boolean  | false | true
Query
 | withBalance | Boolean  | false | true
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/accounts/{account-id}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | account-id | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Consent-ID | String  | true | 
Query
 | withBalance | Boolean  | false | true
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# POST /v1/consents/{consentId}/authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | consentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# PUT /v1/consents/{consentId}/authorisations/{authorisationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | consentId | String  | true | 
Path
 | authorisationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558
Body
 | UNKNOWN_BASE_TYPE | UNKNOWN_BASE_TYPE (UNKNOWN_BASE_TYPE) | false | {}
  https://api.testbank.com/psd2

# GET /v1/consents/{consentId}/authorisations/{authorisationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | consentId | String  | true | 
Path
 | authorisationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/{payment-service}/{paymentId}/cancellation-authorisations/{cancellationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Path
 | cancellationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/{payment-service}/{paymentId}/authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/signing-baskets/{basketId}/authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | basketId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/{payment-service}/{paymentId}/authorisations/{authorisationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Path
 | authorisationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/signing-baskets/{basketId}/authorisations/{authorisationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | basketId | String  | true | 
Path
 | authorisationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# POST /v1/consents/{consentId}/authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | consentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# POST /v1/{payment-service}/{paymentId}/authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# POST /v1/{payment-service}/{paymentId}/cancellation-authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# POST /v1/signing-baskets/{basketId}/authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | basketId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# PUT /v1/consents/{consentId}/authorisations/{authorisationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | consentId | String  | true | 
Path
 | authorisationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558
Body
 | UNKNOWN_BASE_TYPE | UNKNOWN_BASE_TYPE (UNKNOWN_BASE_TYPE) | false | {}

# PUT /v1/{payment-service}/{paymentId}/cancellation-authorisations/{cancellationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Path
 | cancellationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558
Body
 | UNKNOWN_BASE_TYPE | UNKNOWN_BASE_TYPE (UNKNOWN_BASE_TYPE) | false | {}

# PUT /v1/{payment-service}/{paymentId}/authorisations/{authorisationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Path
 | authorisationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558
Body
 | UNKNOWN_BASE_TYPE | UNKNOWN_BASE_TYPE (UNKNOWN_BASE_TYPE) | false | {}

# PUT /v1/signing-baskets/{basketId}/authorisations/{authorisationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | basketId | String  | true | 
Path
 | authorisationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558
Body
 | UNKNOWN_BASE_TYPE | UNKNOWN_BASE_TYPE (UNKNOWN_BASE_TYPE) | false | {}
  https://api.testbank.com/psd2

# POST /v1/funds-confirmations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Body
 | ConfirmationOfFunds | ConfirmationOfFunds (ConfirmationOfFunds) | true | 
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
  https://api.testbank.com/psd2

# DELETE /v1/{payment-service}/{paymentId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/{payment-service}/{paymentId}/cancellation-authorisations/{cancellationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Path
 | cancellationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/{payment-service}/{paymentId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/{payment-service}/{paymentId}/authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/consents/{consentId}/authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | consentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/{payment-service}/{paymentId}/cancellation-authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/{payment-service}/{paymentId}/authorisations/{authorisationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Path
 | authorisationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/{payment-service}/{paymentId}/status

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# POST /v1/{payment-service}/{payment-product}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | payment-product | String  | true | paymentProduct_example
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | PSU-IP-Address | String  | true | 192.168.8.78
Body
 | UNKNOWN_BASE_TYPE | UNKNOWN_BASE_TYPE (UNKNOWN_BASE_TYPE) | true | 
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | Consent-ID | String  | false | 
Header
 | TPP-Redirect-Preferred | Boolean  | false | true
Header
 | TPP-Redirect-URI | String  | false | tPPRedirectURI_example
Header
 | TPP-Nok-Redirect-URI | String  | false | tPPNokRedirectURI_example
Header
 | TPP-Explicit-Authorisation-Preferred | Boolean  | false | true
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# POST /v1/{payment-service}/{paymentId}/authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# POST /v1/{payment-service}/{paymentId}/cancellation-authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# PUT /v1/{payment-service}/{paymentId}/cancellation-authorisations/{cancellationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Path
 | cancellationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558
Body
 | UNKNOWN_BASE_TYPE | UNKNOWN_BASE_TYPE (UNKNOWN_BASE_TYPE) | false | {}

# PUT /v1/{payment-service}/{paymentId}/authorisations/{authorisationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | payment-service | String  | true | paymentService_example
Path
 | paymentId | String  | true | 
Path
 | authorisationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558
Body
 | UNKNOWN_BASE_TYPE | UNKNOWN_BASE_TYPE (UNKNOWN_BASE_TYPE) | false | {}
  https://api.testbank.com/psd2

# POST /v1/signing-baskets

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | PSU-IP-Address | String  | true | 192.168.8.78
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | Consent-ID | String  | false | 
Header
 | TPP-Redirect-Preferred | Boolean  | false | true
Header
 | TPP-Redirect-URI | String  | false | tPPRedirectURI_example
Header
 | TPP-Nok-Redirect-URI | String  | false | tPPNokRedirectURI_example
Header
 | TPP-Explicit-Authorisation-Preferred | Boolean  | false | true
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558
Body
 | SigningBasket | SigningBasket (SigningBasket) | false | 

# GET /v1/signing-baskets/{basketId}/authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | basketId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/signing-baskets/{basketId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | basketId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# GET /v1/signing-baskets/{basketId}/authorisations/{authorisationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | basketId | String  | true | 
Path
 | authorisationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# POST /v1/signing-baskets/{basketId}/authorisations

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | basketId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558

# PUT /v1/signing-baskets/{basketId}/authorisations/{authorisationId}

 

 paramter| zwingend | Typ | Beschreibung
---------|----------|-----|-------------
Path
 | basketId | String  | true | 
Path
 | authorisationId | String  | true | 
Header
 | X-Request-ID | UUID  | true | 99391c7e-ad88-49ec-a2ad-99ddcb1f7721
Header
 | Digest | String  | false | SHA-256&#x3D;hl1/Eps8BEQW58FJhDApwJXjGY4nr1ArGDHIT25vq6A&#x3D;
Header
 | Signature | String  | false | keyId&#x3D;&quot;SN&#x3D;9FA1,CA&#x3D;CN&#x3D;D-TRUST%20CA%202-1%202015,O&#x3D;D-Trust%20GmbH,C&#x3D;DE&quot;,algorithm&#x3D;&quot;rsa-sha256&quot;, headers&#x3D;&quot;Digest X-Request-ID PSU-ID TPP-Redirect-URI Date&quot;, signature&#x3D;&quot;Base64(RSA-SHA256(signing string))&quot;

Header
 | TPP-Signature-Certificate | byte[]  | false | BYTE_ARRAY_DATA_HERE
Header
 | PSU-ID | String  | false | PSU-1234
Header
 | PSU-ID-Type | String  | false | pSUIDType_example
Header
 | PSU-Corporate-ID | String  | false | pSUCorporateID_example
Header
 | PSU-Corporate-ID-Type | String  | false | pSUCorporateIDType_example
Header
 | PSU-IP-Address | String  | false | 192.168.8.78
Header
 | PSU-IP-Port | Object  | false | 1234
Header
 | PSU-Accept | String  | false | pSUAccept_example
Header
 | PSU-Accept-Charset | String  | false | pSUAcceptCharset_example
Header
 | PSU-Accept-Encoding | String  | false | pSUAcceptEncoding_example
Header
 | PSU-Accept-Language | String  | false | pSUAcceptLanguage_example
Header
 | PSU-User-Agent | String  | false | pSUUserAgent_example
Header
 | PSU-Http-Method | String  | false | pSUHttpMethod_example
Header
 | PSU-Device-ID | UUID  | false | 99435c7e-ad88-49ec-a2ad-99ddcb1f5555
Header
 | PSU-Geo-Location | String  | false | GEO:52.506931,13.144558
Body
 | UNKNOWN_BASE_TYPE | UNKNOWN_BASE_TYPE (UNKNOWN_BASE_TYPE) | false | {}
